Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss
Interface WSSURI

public interface WSSURI

Defined constants and URI strings for WS-WSSecurity.

Field Summary
`static java.lang.String` | `ACTOR` String Constant representing the SOAP 1.1 actor attribute name
`static java.lang.String` | `alg_attachment_Complete_Transform` URI for the WS-Security SwA Attachment Complete Reference Transform.
`static java.lang.String` | `alg_attachment_ContentOnly_Transform` URI for the WS-Security SwA Attachment Content Only Reference Transform.
`static java.lang.String` | `alg_strTransform` URI for the WS-Security Security Token Reference Transform.
`static java.lang.String` | `ALGORITHM` String Constant representing the attribute name of Algorithm
`static java.lang.String` | `BINARY_DATA_ENCODER_KEY` INTERNAL USE ONLY
`static java.lang.String` | `BINARY_SECURITY_TOKEN` String Constant representing the wsse:BinarySecurityToken element localname of BinarySecurityToken
`static java.lang.String` | `BINARY_SECURITY_TOKEN_KEY` INTERNAL USE ONLY
`static java.lang.String` | `CANONICALIZATION_METHOD` String Constant representing the ds:CanonicalizationMethod element localname of CanonicalizationMethod
`static java.lang.String` | `CREATED` String Constant representing the wsu:Created element localname of Created
`static java.lang.String` | `DATE_DATA_ENCODER_KEY` INTERNAL USE ONLY
`static java.lang.String` | `EMBEDDED` String Constant representing the wsse:Embedded element localname of Embedded
`static java.lang.String` | `ENCODING_TYPE` String Constant representing the attribute name of EncodingType
`static java.lang.String` | `ENCRYPTED_KEY` String Constant representing the enc:EncryptedKey element localname of EncryptedKey
`static java.lang.String` | `et_Base64Binary` The EncodingType URI representing Base64 encoding.
`static java.lang.String` | `et_HexBinary` The EncodingType URI representing Hex encoding.
`static java.lang.String` | `EXPIRES` String Constant representing the wsu:Expires element localname of Expires
`static java.lang.String` | `FALSE` String Constant representing the attribute value of FALSE i.e.
`static java.lang.String` | `KEY_IDENTIFIER` String Constant representing the wsse:KeyIdentifier element localname of KeyIdentifier
`static java.lang.String` | `KEY_IDENTIFIER_KEY` INTERNAL USE ONLY
`static java.lang.String` | `MUST_UNDERSTAND` String Constant representing the SOAP mustUnderstand attribute name
`static java.lang.String` | `NONCE` String Constant representing the wsse:Nonce element localname of Nonce
`static java.lang.String` | `ns_soap_attachment` The SOAP message with Attachment profile (### NOT FINAL YET ###).
`static java.lang.String` | `ns_token_kerberos` The Kerberos AP_REQ Token profile (### NOT FINAL YET ###).
`static java.lang.String` | `ns_token_saml` The SAML Assertion Token profile.
`static java.lang.String` | `ns_token_soap` The SOAP Message Token profile.
`static java.lang.String` | `ns_token_username` The Username Token profile.
`static java.lang.String` | `ns_token_x509` The X.509 Certificate Token profile.
`static java.lang.String` | `ns_wsse` URI for the WS-WSSecurity namespace "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"
`static java.lang.String` | `ns_wsu` URI for the the WS-Security utility namespace "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd".
`static java.lang.String` | `PASSWORD` String Constant representing the wsse:Password element localname of Password
`static java.lang.String` | `REFERENCE` String Constant representing the wsse:Reference element localname of Reference
`static java.lang.String` | `REFERENCE_LIST` String Constant representing the enc:ReferenceList element localname of ReferenceList
`static java.lang.String` | `REFERENCE_TYPE_KEY` INTERNAL USE ONLY
`static java.lang.String` | `saml_vt_keyId` The SAML Token ValueType URI referencing an Assertion
`static java.lang.String` | `saml10_vt_ref` The Reference ValueType URI referencing a SAML 1.0 Assertion Token
`static java.lang.String` | `saml11_vt_ref` The Reference ValueType URI referencing a SAML 1.1 Assertion Token
`static java.lang.String` | `SECURITY` String Constant representing the wsse:Security element localname of Security
`static java.lang.String` | `SECURITY_TOKEN_REFERENCE` String Constant representing the wsse:SecurityTokenReference element localname of SecurityTokenReference
`static java.lang.String` | `SIGNATURE` String Constant representing the ds:Signature element localname of Signature
`static oracle.security.xmlsec.util.QName` | `st_BINARY` The Binary WSSecurity Token Type.
`static oracle.security.xmlsec.util.QName` | `st_SAML_ASSERTION` The SAML Assertion WSSecurity Token Type.
`static oracle.security.xmlsec.util.QName` | `st_USERNAME` The Username WSSecurity Token Type.
`static oracle.security.xmlsec.util.QName` | `str_EMBEDDED` The wsse:SecurityTokenReference Embedded Reference Type
`static oracle.security.xmlsec.util.QName` | `str_KEY_IDENTIFIER` The wsse:SecurityTokenReference Key Identifier Reference Type
`static oracle.security.xmlsec.util.QName` | `str_REFERENCE` The wsse:SecurityTokenReference Direct Reference Type
`static java.lang.String` | `TIMESTAMP` String Constant representing the wsu:Timestamp element localname of Timestamp
`static java.lang.String` | `TRUE` String Constant representing the attribute value of TRUE i.e.
`static java.lang.String` | `TYPE` String Constant representing the attribute name of Type
`static java.lang.String` | `URI` String Constant representing the attribute name of URI
`static java.lang.String` | `USAGE` String Constant representing the attribute name of Usage
`static java.lang.String` | `USERNAME` String Constant representing the wsse:Username element localname of Username
`static java.lang.String` | `USERNAME_TOKEN` String Constant representing the wsse:UsernameToken element localname of UsernameToken
`static java.lang.String` | `VALUE_TYPE` String Constant representing the attribute name of ValueType
`static java.lang.String` | `vt_dateTime` The ValueType URI representing a timestamp.
`static java.lang.String` | `vt_Kerberosv5` The Kerberos Token Value Type URI
`static java.lang.String` | `vt_PKCS7` The X.509 Certificate Token ValueType URI representing a set of Certificates and CRLs.
`static java.lang.String` | `vt_token_username` The ValueType URI referencing an UsernameToken
`static java.lang.String` | `vt_X509PKIPathv1` The X.509 Certificate Token ValueType URI representing a Certificate Path.
`static java.lang.String` | `vt_x509SPKI` The X.509 Certificate Token ValueType URI representing a Single Certificate.
`static java.lang.String` | `vt_X509v3` The X.509 Certificate Token ValueType URI representing a Single Certificate.
`static java.lang.String` | `WSU_ID` String Constant representing the wsu:Id attribute name of Id

Field Detail

### ns_wsse

    public static final java.lang.String ns_wsse

  URI for the WS-WSSecurity namespace "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"
  See Also:
    Constant Field Values

### ns_wsu

    public static final java.lang.String ns_wsu

  URI for the the WS-Security utility namespace "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd".
  See Also:
    Constant Field Values

### alg_strTransform

    public static final java.lang.String alg_strTransform

  URI for the WS-Security Security Token Reference Transform.
  See Also:
    Constant Field Values

### alg_attachment_ContentOnly_Transform

    public static final java.lang.String alg_attachment_ContentOnly_Transform

  URI for the WS-Security SwA Attachment Content Only Reference Transform.
  See Also:
    Constant Field Values

### alg_attachment_Complete_Transform

    public static final java.lang.String alg_attachment_Complete_Transform

  URI for the WS-Security SwA Attachment Complete Reference Transform.
  See Also:
    Constant Field Values

### ACTOR

    public static final java.lang.String ACTOR

  String Constant representing the SOAP 1.1 actor attribute name
  See Also:
    Constant Field Values

### MUST_UNDERSTAND

    public static final java.lang.String MUST_UNDERSTAND

  String Constant representing the SOAP mustUnderstand attribute name
  See Also:
    Constant Field Values

### TRUE

    public static final java.lang.String TRUE

  String Constant representing the attribute value of TRUE i.e. 1
  See Also:
    Constant Field Values

### FALSE

    public static final java.lang.String FALSE

  String Constant representing the attribute value of FALSE i.e. 0
  See Also:
    Constant Field Values

### WSU_ID

    public static final java.lang.String WSU_ID

  String Constant representing the wsu:Id attribute name of Id
  See Also:
    Constant Field Values

### TYPE

    public static final java.lang.String TYPE

  String Constant representing the attribute name of Type
  See Also:
    Constant Field Values

### ENCODING_TYPE

    public static final java.lang.String ENCODING_TYPE

  String Constant representing the attribute name of EncodingType
  See Also:
    Constant Field Values

### VALUE_TYPE

    public static final java.lang.String VALUE_TYPE

  String Constant representing the attribute name of ValueType
  See Also:
    Constant Field Values

### SECURITY

    public static final java.lang.String SECURITY

  String Constant representing the wsse:Security element localname of Security
  See Also:
    Constant Field Values

### USERNAME_TOKEN

    public static final java.lang.String USERNAME_TOKEN

  String Constant representing the wsse:UsernameToken element localname of UsernameToken
  See Also:
    Constant Field Values

### USERNAME

    public static final java.lang.String USERNAME

  String Constant representing the wsse:Username element localname of Username
  See Also:
    Constant Field Values

### PASSWORD

    public static final java.lang.String PASSWORD

  String Constant representing the wsse:Password element localname of Password
  See Also:
    Constant Field Values

### NONCE

    public static final java.lang.String NONCE

  String Constant representing the wsse:Nonce element localname of Nonce
  See Also:
    Constant Field Values

### BINARY_SECURITY_TOKEN

    public static final java.lang.String BINARY_SECURITY_TOKEN

  String Constant representing the wsse:BinarySecurityToken element localname of BinarySecurityToken
  See Also:
    Constant Field Values

### SECURITY_TOKEN_REFERENCE

    public static final java.lang.String SECURITY_TOKEN_REFERENCE

  String Constant representing the wsse:SecurityTokenReference element localname of SecurityTokenReference
  See Also:
    Constant Field Values

### USAGE

    public static final java.lang.String USAGE

  String Constant representing the attribute name of Usage
  See Also:
    Constant Field Values

### REFERENCE

    public static final java.lang.String REFERENCE

  String Constant representing the wsse:Reference element localname of Reference
  See Also:
    Constant Field Values

### URI

    public static final java.lang.String URI

  String Constant representing the attribute name of URI
  See Also:
    Constant Field Values

### KEY_IDENTIFIER

    public static final java.lang.String KEY_IDENTIFIER

  String Constant representing the wsse:KeyIdentifier element localname of KeyIdentifier
  See Also:
    Constant Field Values

### EMBEDDED

    public static final java.lang.String EMBEDDED

  String Constant representing the wsse:Embedded element localname of Embedded
  See Also:
    Constant Field Values

### TIMESTAMP

    public static final java.lang.String TIMESTAMP

  String Constant representing the wsu:Timestamp element localname of Timestamp
  See Also:
    Constant Field Values

### CREATED

    public static final java.lang.String CREATED

  String Constant representing the wsu:Created element localname of Created
  See Also:
    Constant Field Values

### EXPIRES

    public static final java.lang.String EXPIRES

  String Constant representing the wsu:Expires element localname of Expires
  See Also:
    Constant Field Values

### REFERENCE_LIST

    public static final java.lang.String REFERENCE_LIST

  String Constant representing the enc:ReferenceList element localname of ReferenceList
  See Also:
    Constant Field Values

### ENCRYPTED_KEY

    public static final java.lang.String ENCRYPTED_KEY

  String Constant representing the enc:EncryptedKey element localname of EncryptedKey
  See Also:
    Constant Field Values

### SIGNATURE

    public static final java.lang.String SIGNATURE

  String Constant representing the ds:Signature element localname of Signature
  See Also:
    Constant Field Values

### CANONICALIZATION_METHOD

    public static final java.lang.String CANONICALIZATION_METHOD

  String Constant representing the ds:CanonicalizationMethod element localname of CanonicalizationMethod
  See Also:
    Constant Field Values

### ALGORITHM

    public static final java.lang.String ALGORITHM

  String Constant representing the attribute name of Algorithm
  See Also:
    Constant Field Values

### ns_token_soap

    public static final java.lang.String ns_token_soap

  The SOAP Message Token profile.
  See Also:
    Constant Field Values

### ns_token_username

    public static final java.lang.String ns_token_username

  The Username Token profile.
  See Also:
    Constant Field Values

### ns_token_x509

    public static final java.lang.String ns_token_x509

  The X.509 Certificate Token profile.
  See Also:
    Constant Field Values

### ns_token_saml

    public static final java.lang.String ns_token_saml

  The SAML Assertion Token profile.
  See Also:
    Constant Field Values

### ns_token_kerberos

    public static final java.lang.String ns_token_kerberos

  The Kerberos AP_REQ Token profile (### NOT FINAL YET ###).
  See Also:
    Constant Field Values

### ns_soap_attachment

    public static final java.lang.String ns_soap_attachment

  The SOAP message with Attachment profile (### NOT FINAL YET ###).
  See Also:
    Constant Field Values

### st_USERNAME

    public static final oracle.security.xmlsec.util.QName st_USERNAME

  The Username WSSecurity Token Type.

### st_BINARY

    public static final oracle.security.xmlsec.util.QName st_BINARY

  The Binary WSSecurity Token Type.

### st_SAML_ASSERTION

    public static final oracle.security.xmlsec.util.QName st_SAML_ASSERTION

  The SAML Assertion WSSecurity Token Type.

### str_REFERENCE

    public static final oracle.security.xmlsec.util.QName str_REFERENCE

  The wsse:SecurityTokenReference Direct Reference Type

### str_KEY_IDENTIFIER

    public static final oracle.security.xmlsec.util.QName str_KEY_IDENTIFIER

  The wsse:SecurityTokenReference Key Identifier Reference Type

### str_EMBEDDED

    public static final oracle.security.xmlsec.util.QName str_EMBEDDED

  The wsse:SecurityTokenReference Embedded Reference Type

### vt_x509SPKI

    public static final java.lang.String vt_x509SPKI

  The X.509 Certificate Token ValueType URI representing a Single Certificate.
  See Also:
    Constant Field Values

### saml_vt_keyId

    public static final java.lang.String saml_vt_keyId

  The SAML Token ValueType URI referencing an Assertion
  See Also:
    Constant Field Values

### vt_X509v3

    public static final java.lang.String vt_X509v3

  The X.509 Certificate Token ValueType URI representing a Single Certificate.
  See Also:
    Constant Field Values

### vt_X509PKIPathv1

    public static final java.lang.String vt_X509PKIPathv1

  The X.509 Certificate Token ValueType URI representing a Certificate Path.
  See Also:
    Constant Field Values

### vt_PKCS7

    public static final java.lang.String vt_PKCS7

  The X.509 Certificate Token ValueType URI representing a set of Certificates and CRLs.
  See Also:
    Constant Field Values

### vt_Kerberosv5

    public static final java.lang.String vt_Kerberosv5

  The Kerberos Token Value Type URI
  See Also:
    Constant Field Values

### vt_dateTime

    public static final java.lang.String vt_dateTime

  The ValueType URI representing a timestamp.
  See Also:
    Constant Field Values

### saml10_vt_ref

    public static final java.lang.String saml10_vt_ref

  The Reference ValueType URI referencing a SAML 1.0 Assertion Token
  See Also:
    Constant Field Values

### saml11_vt_ref

    public static final java.lang.String saml11_vt_ref

  The Reference ValueType URI referencing a SAML 1.1 Assertion Token
  See Also:
    Constant Field Values

### vt_token_username

    public static final java.lang.String vt_token_username

  The ValueType URI referencing an UsernameToken
  See Also:
    Constant Field Values

### et_Base64Binary

    public static final java.lang.String et_Base64Binary

  The EncodingType URI representing Base64 encoding.
  See Also:
    Constant Field Values

### et_HexBinary

    public static final java.lang.String et_HexBinary

  The EncodingType URI representing Hex encoding.
  See Also:
    Constant Field Values

### BINARY_SECURITY_TOKEN_KEY

    public static final java.lang.String BINARY_SECURITY_TOKEN_KEY

  INTERNAL USE ONLY
  See Also:
    Constant Field Values

### KEY_IDENTIFIER_KEY

    public static final java.lang.String KEY_IDENTIFIER_KEY

  INTERNAL USE ONLY
  See Also:
    Constant Field Values

### REFERENCE_TYPE_KEY

    public static final java.lang.String REFERENCE_TYPE_KEY

  INTERNAL USE ONLY
  See Also:
    Constant Field Values

### BINARY_DATA_ENCODER_KEY

    public static final java.lang.String BINARY_DATA_ENCODER_KEY

  INTERNAL USE ONLY
  See Also:
    Constant Field Values

### DATE_DATA_ENCODER_KEY

    public static final java.lang.String DATE_DATA_ENCODER_KEY

  INTERNAL USE ONLY
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.